﻿@model IEnumerable<Publication>
<div class="container text-center">
    <div class="row">
        @foreach (var item in Model)
        {

            <div class="col-12 py-3 col-sm-6 col-md-4 col-lg-3" id="row" style="text-align: center;">
                <div class="card" style="padding: 10px;">
                    <a asp-controller="Publication" asp-action="Details" asp-route-publicationId="@item.Id"><img class="card-img-top" src="~/@item.ImagePath" alt=""></a>
                    <div class="card-body">
                        <p id="desc-@item.Id">@item.Desc</p>
                        @if (User.Identity.IsAuthenticated && ViewBag.UserId == item.UserId)
                        {
                            <input type="button" onclick="deletePublication('@item.UserId','@item.Id')" style="font-weight: bolder; border-radius: 3px;" value="Удалить" />
                            <input type="submit" onclick="change('@item.Id')" ; style="font-weight: bolder; border-radius: 3px; margin-top:5px" value="Редактировать" />

                        }
                    </div>
                </div>

            </div>


        }
    </div>
</div>
<div id="dropdown"style="margin-top: 10px; display: none;"> 
        </div>
<script>

        function deletePublication(user, publication) {
            var userId = user;
            var publicationId = publication;

            userId = encodeURIComponent(userId);
            publicationId = encodeURIComponent(publicationId);
            $('.row').load('@Url.Action("DeleteAsync", "Publication")', {publicationId:publicationId, userId:userId});
        }

        function update(form) {
            var elems = form.elements;
            var value = elems.id.value;
            $('#desc-'+value).load('@Url.Action("UpdateAsync", "Publication")', {id:elems.id.value, desc:elems.desc.value});
        }

        function change(id)
        { var a = document.getElementById('dropdown');
            if (a.style.display == 'none')
                a.style.display = 'block';
            else
            if ( a.style.display == 'block' )
                a.style.display = 'none';
            id = encodeURIComponent(id);
            $('#dropdown').load('@Url.Action("ChangeAsync", "Publication")?id='+ id);
        }
</script>
